require 'sugarcrb'
require 'json'

Before do
	@wizard_intake_form_surl = "http://192.168.33.10/sugar/tjc_backoffice/forms/form_wizard.php"
	@sugarurl = "http://192.168.33.10/sugar/thejoint.arcsona.loc"

	usersFile = file = File.read('features/support/users.json')
	@users = JSON.parse(usersFile)
	@metadata = {
		"WizardIntakeForm" => {
			"fields" => {
				"First Name" => {
					"name" => "first_name",
					"type" => "text",
				},
				"Last Name" => {
					"name" => "last_name",
					"type" => "text",
				},
				"Occupation" => {
					"name" => "occupation_c",
					"type" => "text"
				},
				"Date of Birth" => {
					"name" => "birthdate",
					"type" => "text"
				},
				"Email" => {
					"name" => "email1",
					"type" => "text"
				},
				"Home Address" => {
					"name" => "primary_address_street",
					"type" => "text"
				},
				"City" => {
					"name" => "primary_address_city",
					"type" => "text"
				},
				"State" => {
					"name" => "primary_address_state",
					"type" => "text"
				},
				"Zip Code" => {
					"name" => "primary_address_postalcode",
					"type" => "text"
				},
				"Phone" => {
					"name" => "phone",
					"type" => "text"
				},
				"Phone (WHC)" => {
					"name" => "phone_whc",
					"type" => "radio"
				},
				"Phone 2" => {
					"name" => "phone2",
					"type" => "text"
				},
				"Phone 2 (WHC)" => {
					"name" => "phone2_whc",
					"type" => "radio"
				},
				"Emergency Contact" => {
					"name" => "emergency_contact_name",
					"type" => "text"
				},
				"Emergency Contact Phone" => {
					"name" => "emergency_contact_phone",
					"type" => "text"
				},
				"Emergency Contact Phone (WHC)" => {
					"name" => "emergency_whc",
					"type" => "radio"
				},
				"Will you use this location from your" => {
					"name" => "location_from",
					"type" => "radio"
				},
				"Approximately, how far did you travel to get here today?" => {
					"name" => "how_far",
					"type" => "radio"
				},
				"Approximately, how long did it take you to get here today?" => {
					"name" => "how_long",
					"type" => "radio"
				},
				"How did you first hear about The Joint Chiropractic?" => {
					"name" => "hear_tj",
					"type" => "text"
				},
				"Your preferred method of contact?" => {
					"name" => "lead_source",
					"type" => "select"
				},
				"Do you currently have or are you eligible for medicare or Medicaid" => {
					"name" => "ismedicareeligible_c",
					"type" => "checkbox"
				},
				"Do you have a Health Savings Account (HSA) or Flexible Spending Account (FSA)?" => {
					"name" => "hsa_or_fsa",
					"type" => "radio"
				},
				"If you were referred by someone please tell us who so we may thank them." => {
					"name" => "referredby_c",
					"type" => "text"
				}
			}
		},
		"Sugar" => {
			"Patients" => {
				"module_name" => "Contacts",
				"fields" => {
					
				},
			},
		}
	}
	# @sugar_beans = {}
	# @admin_user = @users['admin']
	# @sugar_api = Sugarcrb.new(@sugarurl,@admin_user['username'],@admin_user['password'],"opi","sugar","")
	# @sugar_api.oauth2_token
end